﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace GlobalFunctions.NaveoSync {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="ServiceSoap", Namespace="http://Naveo.mu/")]
    public partial class Service : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback HelloWorldOperationCompleted;
        
        private System.Threading.SendOrPostCallback CreateBeginConnectionOperationCompleted;
        
        private System.Threading.SendOrPostCallback CloseCachedConnectionOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetDataSetOperationCompleted;
        
        private System.Threading.SendOrPostCallback ExecNoQueryOperationCompleted;
        
        private System.Threading.SendOrPostCallback PollUpdatesOperationCompleted;
        
        private System.Threading.SendOrPostCallback ConfirmUpdatesOperationCompleted;
        
        private System.Threading.SendOrPostCallback PollNewUpdatesOperationCompleted;
        
        private System.Threading.SendOrPostCallback PollSecuMonitorNewUpdatesOperationCompleted;
        
        private System.Threading.SendOrPostCallback ConfirmTheSecuMonitorNewUpdatesOperationCompleted;
        
        private System.Threading.SendOrPostCallback ConfirmTheNewUpdatesOperationCompleted;
        
        private System.Threading.SendOrPostCallback RegisterDeviceOperationCompleted;
        
        private System.Threading.SendOrPostCallback DeRegisterDeviceOperationCompleted;
        
        private System.Threading.SendOrPostCallback SendMessageToSendOperationCompleted;
        
        private System.Threading.SendOrPostCallback RawBatchOperationCompleted;
        
        private System.Threading.SendOrPostCallback PollFuelUpdatesOperationCompleted;
        
        private System.Threading.SendOrPostCallback ConfirmTheFuelUpdatesOperationCompleted;
        
        private System.Threading.SendOrPostCallback ShowCacheOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public Service() {
            this.Url = global::GlobalFunctions.Properties.Settings.Default.GlobalFunctions_NaveoSync_Service;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event HelloWorldCompletedEventHandler HelloWorldCompleted;
        
        /// <remarks/>
        public event CreateBeginConnectionCompletedEventHandler CreateBeginConnectionCompleted;
        
        /// <remarks/>
        public event CloseCachedConnectionCompletedEventHandler CloseCachedConnectionCompleted;
        
        /// <remarks/>
        public event GetDataSetCompletedEventHandler GetDataSetCompleted;
        
        /// <remarks/>
        public event ExecNoQueryCompletedEventHandler ExecNoQueryCompleted;
        
        /// <remarks/>
        public event PollUpdatesCompletedEventHandler PollUpdatesCompleted;
        
        /// <remarks/>
        public event ConfirmUpdatesCompletedEventHandler ConfirmUpdatesCompleted;
        
        /// <remarks/>
        public event PollNewUpdatesCompletedEventHandler PollNewUpdatesCompleted;
        
        /// <remarks/>
        public event PollSecuMonitorNewUpdatesCompletedEventHandler PollSecuMonitorNewUpdatesCompleted;
        
        /// <remarks/>
        public event ConfirmTheSecuMonitorNewUpdatesCompletedEventHandler ConfirmTheSecuMonitorNewUpdatesCompleted;
        
        /// <remarks/>
        public event ConfirmTheNewUpdatesCompletedEventHandler ConfirmTheNewUpdatesCompleted;
        
        /// <remarks/>
        public event RegisterDeviceCompletedEventHandler RegisterDeviceCompleted;
        
        /// <remarks/>
        public event DeRegisterDeviceCompletedEventHandler DeRegisterDeviceCompleted;
        
        /// <remarks/>
        public event SendMessageToSendCompletedEventHandler SendMessageToSendCompleted;
        
        /// <remarks/>
        public event RawBatchCompletedEventHandler RawBatchCompleted;
        
        /// <remarks/>
        public event PollFuelUpdatesCompletedEventHandler PollFuelUpdatesCompleted;
        
        /// <remarks/>
        public event ConfirmTheFuelUpdatesCompletedEventHandler ConfirmTheFuelUpdatesCompleted;
        
        /// <remarks/>
        public event ShowCacheCompletedEventHandler ShowCacheCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/HelloWorld", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string HelloWorld() {
            object[] results = this.Invoke("HelloWorld", new object[0]);
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void HelloWorldAsync() {
            this.HelloWorldAsync(null);
        }
        
        /// <remarks/>
        public void HelloWorldAsync(object userState) {
            if ((this.HelloWorldOperationCompleted == null)) {
                this.HelloWorldOperationCompleted = new System.Threading.SendOrPostCallback(this.OnHelloWorldOperationCompleted);
            }
            this.InvokeAsync("HelloWorld", new object[0], this.HelloWorldOperationCompleted, userState);
        }
        
        private void OnHelloWorldOperationCompleted(object arg) {
            if ((this.HelloWorldCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.HelloWorldCompleted(this, new HelloWorldCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/CreateBeginConnection", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public System.Guid CreateBeginConnection(string InitialChk) {
            object[] results = this.Invoke("CreateBeginConnection", new object[] {
                        InitialChk});
            return ((System.Guid)(results[0]));
        }
        
        /// <remarks/>
        public void CreateBeginConnectionAsync(string InitialChk) {
            this.CreateBeginConnectionAsync(InitialChk, null);
        }
        
        /// <remarks/>
        public void CreateBeginConnectionAsync(string InitialChk, object userState) {
            if ((this.CreateBeginConnectionOperationCompleted == null)) {
                this.CreateBeginConnectionOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCreateBeginConnectionOperationCompleted);
            }
            this.InvokeAsync("CreateBeginConnection", new object[] {
                        InitialChk}, this.CreateBeginConnectionOperationCompleted, userState);
        }
        
        private void OnCreateBeginConnectionOperationCompleted(object arg) {
            if ((this.CreateBeginConnectionCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CreateBeginConnectionCompleted(this, new CreateBeginConnectionCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/CloseCachedConnection", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool CloseCachedConnection(System.Guid connId, int status, bool Commit) {
            object[] results = this.Invoke("CloseCachedConnection", new object[] {
                        connId,
                        status,
                        Commit});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void CloseCachedConnectionAsync(System.Guid connId, int status, bool Commit) {
            this.CloseCachedConnectionAsync(connId, status, Commit, null);
        }
        
        /// <remarks/>
        public void CloseCachedConnectionAsync(System.Guid connId, int status, bool Commit, object userState) {
            if ((this.CloseCachedConnectionOperationCompleted == null)) {
                this.CloseCachedConnectionOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCloseCachedConnectionOperationCompleted);
            }
            this.InvokeAsync("CloseCachedConnection", new object[] {
                        connId,
                        status,
                        Commit}, this.CloseCachedConnectionOperationCompleted, userState);
        }
        
        private void OnCloseCachedConnectionOperationCompleted(object arg) {
            if ((this.CloseCachedConnectionCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CloseCachedConnectionCompleted(this, new CloseCachedConnectionCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/GetDataSet", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] GetDataSet(string s, string sConnStr) {
            object[] results = this.Invoke("GetDataSet", new object[] {
                        s,
                        sConnStr});
            return ((byte[])(results[0]));
        }
        
        /// <remarks/>
        public void GetDataSetAsync(string s, string sConnStr) {
            this.GetDataSetAsync(s, sConnStr, null);
        }
        
        /// <remarks/>
        public void GetDataSetAsync(string s, string sConnStr, object userState) {
            if ((this.GetDataSetOperationCompleted == null)) {
                this.GetDataSetOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetDataSetOperationCompleted);
            }
            this.InvokeAsync("GetDataSet", new object[] {
                        s,
                        sConnStr}, this.GetDataSetOperationCompleted, userState);
        }
        
        private void OnGetDataSetOperationCompleted(object arg) {
            if ((this.GetDataSetCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetDataSetCompleted(this, new GetDataSetCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/ExecNoQuery", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool ExecNoQuery(string s, string sConnStr) {
            object[] results = this.Invoke("ExecNoQuery", new object[] {
                        s,
                        sConnStr});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void ExecNoQueryAsync(string s, string sConnStr) {
            this.ExecNoQueryAsync(s, sConnStr, null);
        }
        
        /// <remarks/>
        public void ExecNoQueryAsync(string s, string sConnStr, object userState) {
            if ((this.ExecNoQueryOperationCompleted == null)) {
                this.ExecNoQueryOperationCompleted = new System.Threading.SendOrPostCallback(this.OnExecNoQueryOperationCompleted);
            }
            this.InvokeAsync("ExecNoQuery", new object[] {
                        s,
                        sConnStr}, this.ExecNoQueryOperationCompleted, userState);
        }
        
        private void OnExecNoQueryOperationCompleted(object arg) {
            if ((this.ExecNoQueryCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ExecNoQueryCompleted(this, new ExecNoQueryCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/PollUpdates", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] PollUpdates(System.Guid connId, string myUnits, string ServerName, string DBName) {
            object[] results = this.Invoke("PollUpdates", new object[] {
                        connId,
                        myUnits,
                        ServerName,
                        DBName});
            return ((byte[])(results[0]));
        }
        
        /// <remarks/>
        public void PollUpdatesAsync(System.Guid connId, string myUnits, string ServerName, string DBName) {
            this.PollUpdatesAsync(connId, myUnits, ServerName, DBName, null);
        }
        
        /// <remarks/>
        public void PollUpdatesAsync(System.Guid connId, string myUnits, string ServerName, string DBName, object userState) {
            if ((this.PollUpdatesOperationCompleted == null)) {
                this.PollUpdatesOperationCompleted = new System.Threading.SendOrPostCallback(this.OnPollUpdatesOperationCompleted);
            }
            this.InvokeAsync("PollUpdates", new object[] {
                        connId,
                        myUnits,
                        ServerName,
                        DBName}, this.PollUpdatesOperationCompleted, userState);
        }
        
        private void OnPollUpdatesOperationCompleted(object arg) {
            if ((this.PollUpdatesCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.PollUpdatesCompleted(this, new PollUpdatesCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/ConfirmUpdates", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool ConfirmUpdates(System.Guid connId, string myUnits) {
            object[] results = this.Invoke("ConfirmUpdates", new object[] {
                        connId,
                        myUnits});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void ConfirmUpdatesAsync(System.Guid connId, string myUnits) {
            this.ConfirmUpdatesAsync(connId, myUnits, null);
        }
        
        /// <remarks/>
        public void ConfirmUpdatesAsync(System.Guid connId, string myUnits, object userState) {
            if ((this.ConfirmUpdatesOperationCompleted == null)) {
                this.ConfirmUpdatesOperationCompleted = new System.Threading.SendOrPostCallback(this.OnConfirmUpdatesOperationCompleted);
            }
            this.InvokeAsync("ConfirmUpdates", new object[] {
                        connId,
                        myUnits}, this.ConfirmUpdatesOperationCompleted, userState);
        }
        
        private void OnConfirmUpdatesOperationCompleted(object arg) {
            if ((this.ConfirmUpdatesCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ConfirmUpdatesCompleted(this, new ConfirmUpdatesCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/PollNewUpdates", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] PollNewUpdates(System.Guid connId, string myUnits, string ServerName, string DBName, int ClientRetrieval) {
            object[] results = this.Invoke("PollNewUpdates", new object[] {
                        connId,
                        myUnits,
                        ServerName,
                        DBName,
                        ClientRetrieval});
            return ((byte[])(results[0]));
        }
        
        /// <remarks/>
        public void PollNewUpdatesAsync(System.Guid connId, string myUnits, string ServerName, string DBName, int ClientRetrieval) {
            this.PollNewUpdatesAsync(connId, myUnits, ServerName, DBName, ClientRetrieval, null);
        }
        
        /// <remarks/>
        public void PollNewUpdatesAsync(System.Guid connId, string myUnits, string ServerName, string DBName, int ClientRetrieval, object userState) {
            if ((this.PollNewUpdatesOperationCompleted == null)) {
                this.PollNewUpdatesOperationCompleted = new System.Threading.SendOrPostCallback(this.OnPollNewUpdatesOperationCompleted);
            }
            this.InvokeAsync("PollNewUpdates", new object[] {
                        connId,
                        myUnits,
                        ServerName,
                        DBName,
                        ClientRetrieval}, this.PollNewUpdatesOperationCompleted, userState);
        }
        
        private void OnPollNewUpdatesOperationCompleted(object arg) {
            if ((this.PollNewUpdatesCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.PollNewUpdatesCompleted(this, new PollNewUpdatesCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/PollSecuMonitorNewUpdates", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] PollSecuMonitorNewUpdates(System.Guid connId, string myUnits, string ServerName, string DBName, int ClientRetrieval) {
            object[] results = this.Invoke("PollSecuMonitorNewUpdates", new object[] {
                        connId,
                        myUnits,
                        ServerName,
                        DBName,
                        ClientRetrieval});
            return ((byte[])(results[0]));
        }
        
        /// <remarks/>
        public void PollSecuMonitorNewUpdatesAsync(System.Guid connId, string myUnits, string ServerName, string DBName, int ClientRetrieval) {
            this.PollSecuMonitorNewUpdatesAsync(connId, myUnits, ServerName, DBName, ClientRetrieval, null);
        }
        
        /// <remarks/>
        public void PollSecuMonitorNewUpdatesAsync(System.Guid connId, string myUnits, string ServerName, string DBName, int ClientRetrieval, object userState) {
            if ((this.PollSecuMonitorNewUpdatesOperationCompleted == null)) {
                this.PollSecuMonitorNewUpdatesOperationCompleted = new System.Threading.SendOrPostCallback(this.OnPollSecuMonitorNewUpdatesOperationCompleted);
            }
            this.InvokeAsync("PollSecuMonitorNewUpdates", new object[] {
                        connId,
                        myUnits,
                        ServerName,
                        DBName,
                        ClientRetrieval}, this.PollSecuMonitorNewUpdatesOperationCompleted, userState);
        }
        
        private void OnPollSecuMonitorNewUpdatesOperationCompleted(object arg) {
            if ((this.PollSecuMonitorNewUpdatesCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.PollSecuMonitorNewUpdatesCompleted(this, new PollSecuMonitorNewUpdatesCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/ConfirmTheSecuMonitorNewUpdates", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool ConfirmTheSecuMonitorNewUpdates(System.Guid connId, string myUnits, int ClientRetrieval) {
            object[] results = this.Invoke("ConfirmTheSecuMonitorNewUpdates", new object[] {
                        connId,
                        myUnits,
                        ClientRetrieval});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void ConfirmTheSecuMonitorNewUpdatesAsync(System.Guid connId, string myUnits, int ClientRetrieval) {
            this.ConfirmTheSecuMonitorNewUpdatesAsync(connId, myUnits, ClientRetrieval, null);
        }
        
        /// <remarks/>
        public void ConfirmTheSecuMonitorNewUpdatesAsync(System.Guid connId, string myUnits, int ClientRetrieval, object userState) {
            if ((this.ConfirmTheSecuMonitorNewUpdatesOperationCompleted == null)) {
                this.ConfirmTheSecuMonitorNewUpdatesOperationCompleted = new System.Threading.SendOrPostCallback(this.OnConfirmTheSecuMonitorNewUpdatesOperationCompleted);
            }
            this.InvokeAsync("ConfirmTheSecuMonitorNewUpdates", new object[] {
                        connId,
                        myUnits,
                        ClientRetrieval}, this.ConfirmTheSecuMonitorNewUpdatesOperationCompleted, userState);
        }
        
        private void OnConfirmTheSecuMonitorNewUpdatesOperationCompleted(object arg) {
            if ((this.ConfirmTheSecuMonitorNewUpdatesCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ConfirmTheSecuMonitorNewUpdatesCompleted(this, new ConfirmTheSecuMonitorNewUpdatesCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/ConfirmTheNewUpdates", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool ConfirmTheNewUpdates(System.Guid connId, string myUnits, int ClientRetrieval) {
            object[] results = this.Invoke("ConfirmTheNewUpdates", new object[] {
                        connId,
                        myUnits,
                        ClientRetrieval});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void ConfirmTheNewUpdatesAsync(System.Guid connId, string myUnits, int ClientRetrieval) {
            this.ConfirmTheNewUpdatesAsync(connId, myUnits, ClientRetrieval, null);
        }
        
        /// <remarks/>
        public void ConfirmTheNewUpdatesAsync(System.Guid connId, string myUnits, int ClientRetrieval, object userState) {
            if ((this.ConfirmTheNewUpdatesOperationCompleted == null)) {
                this.ConfirmTheNewUpdatesOperationCompleted = new System.Threading.SendOrPostCallback(this.OnConfirmTheNewUpdatesOperationCompleted);
            }
            this.InvokeAsync("ConfirmTheNewUpdates", new object[] {
                        connId,
                        myUnits,
                        ClientRetrieval}, this.ConfirmTheNewUpdatesOperationCompleted, userState);
        }
        
        private void OnConfirmTheNewUpdatesOperationCompleted(object arg) {
            if ((this.ConfirmTheNewUpdatesCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ConfirmTheNewUpdatesCompleted(this, new ConfirmTheNewUpdatesCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/RegisterDevice", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public int RegisterDevice(string unitID) {
            object[] results = this.Invoke("RegisterDevice", new object[] {
                        unitID});
            return ((int)(results[0]));
        }
        
        /// <remarks/>
        public void RegisterDeviceAsync(string unitID) {
            this.RegisterDeviceAsync(unitID, null);
        }
        
        /// <remarks/>
        public void RegisterDeviceAsync(string unitID, object userState) {
            if ((this.RegisterDeviceOperationCompleted == null)) {
                this.RegisterDeviceOperationCompleted = new System.Threading.SendOrPostCallback(this.OnRegisterDeviceOperationCompleted);
            }
            this.InvokeAsync("RegisterDevice", new object[] {
                        unitID}, this.RegisterDeviceOperationCompleted, userState);
        }
        
        private void OnRegisterDeviceOperationCompleted(object arg) {
            if ((this.RegisterDeviceCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.RegisterDeviceCompleted(this, new RegisterDeviceCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/DeRegisterDevice", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public int DeRegisterDevice(string unitID) {
            object[] results = this.Invoke("DeRegisterDevice", new object[] {
                        unitID});
            return ((int)(results[0]));
        }
        
        /// <remarks/>
        public void DeRegisterDeviceAsync(string unitID) {
            this.DeRegisterDeviceAsync(unitID, null);
        }
        
        /// <remarks/>
        public void DeRegisterDeviceAsync(string unitID, object userState) {
            if ((this.DeRegisterDeviceOperationCompleted == null)) {
                this.DeRegisterDeviceOperationCompleted = new System.Threading.SendOrPostCallback(this.OnDeRegisterDeviceOperationCompleted);
            }
            this.InvokeAsync("DeRegisterDevice", new object[] {
                        unitID}, this.DeRegisterDeviceOperationCompleted, userState);
        }
        
        private void OnDeRegisterDeviceOperationCompleted(object arg) {
            if ((this.DeRegisterDeviceCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.DeRegisterDeviceCompleted(this, new DeRegisterDeviceCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/SendMessageToSend", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool SendMessageToSend(string sUnitID, string sUnitModel, string sMessage) {
            object[] results = this.Invoke("SendMessageToSend", new object[] {
                        sUnitID,
                        sUnitModel,
                        sMessage});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void SendMessageToSendAsync(string sUnitID, string sUnitModel, string sMessage) {
            this.SendMessageToSendAsync(sUnitID, sUnitModel, sMessage, null);
        }
        
        /// <remarks/>
        public void SendMessageToSendAsync(string sUnitID, string sUnitModel, string sMessage, object userState) {
            if ((this.SendMessageToSendOperationCompleted == null)) {
                this.SendMessageToSendOperationCompleted = new System.Threading.SendOrPostCallback(this.OnSendMessageToSendOperationCompleted);
            }
            this.InvokeAsync("SendMessageToSend", new object[] {
                        sUnitID,
                        sUnitModel,
                        sMessage}, this.SendMessageToSendOperationCompleted, userState);
        }
        
        private void OnSendMessageToSendOperationCompleted(object arg) {
            if ((this.SendMessageToSendCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.SendMessageToSendCompleted(this, new SendMessageToSendCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/RawBatch", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool RawBatch([System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] b) {
            object[] results = this.Invoke("RawBatch", new object[] {
                        b});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void RawBatchAsync(byte[] b) {
            this.RawBatchAsync(b, null);
        }
        
        /// <remarks/>
        public void RawBatchAsync(byte[] b, object userState) {
            if ((this.RawBatchOperationCompleted == null)) {
                this.RawBatchOperationCompleted = new System.Threading.SendOrPostCallback(this.OnRawBatchOperationCompleted);
            }
            this.InvokeAsync("RawBatch", new object[] {
                        b}, this.RawBatchOperationCompleted, userState);
        }
        
        private void OnRawBatchOperationCompleted(object arg) {
            if ((this.RawBatchCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.RawBatchCompleted(this, new RawBatchCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/PollFuelUpdates", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] PollFuelUpdates(string myUnits) {
            object[] results = this.Invoke("PollFuelUpdates", new object[] {
                        myUnits});
            return ((byte[])(results[0]));
        }
        
        /// <remarks/>
        public void PollFuelUpdatesAsync(string myUnits) {
            this.PollFuelUpdatesAsync(myUnits, null);
        }
        
        /// <remarks/>
        public void PollFuelUpdatesAsync(string myUnits, object userState) {
            if ((this.PollFuelUpdatesOperationCompleted == null)) {
                this.PollFuelUpdatesOperationCompleted = new System.Threading.SendOrPostCallback(this.OnPollFuelUpdatesOperationCompleted);
            }
            this.InvokeAsync("PollFuelUpdates", new object[] {
                        myUnits}, this.PollFuelUpdatesOperationCompleted, userState);
        }
        
        private void OnPollFuelUpdatesOperationCompleted(object arg) {
            if ((this.PollFuelUpdatesCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.PollFuelUpdatesCompleted(this, new PollFuelUpdatesCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/ConfirmTheFuelUpdates", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool ConfirmTheFuelUpdates(string myUnits) {
            object[] results = this.Invoke("ConfirmTheFuelUpdates", new object[] {
                        myUnits});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void ConfirmTheFuelUpdatesAsync(string myUnits) {
            this.ConfirmTheFuelUpdatesAsync(myUnits, null);
        }
        
        /// <remarks/>
        public void ConfirmTheFuelUpdatesAsync(string myUnits, object userState) {
            if ((this.ConfirmTheFuelUpdatesOperationCompleted == null)) {
                this.ConfirmTheFuelUpdatesOperationCompleted = new System.Threading.SendOrPostCallback(this.OnConfirmTheFuelUpdatesOperationCompleted);
            }
            this.InvokeAsync("ConfirmTheFuelUpdates", new object[] {
                        myUnits}, this.ConfirmTheFuelUpdatesOperationCompleted, userState);
        }
        
        private void OnConfirmTheFuelUpdatesOperationCompleted(object arg) {
            if ((this.ConfirmTheFuelUpdatesCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ConfirmTheFuelUpdatesCompleted(this, new ConfirmTheFuelUpdatesCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://Naveo.mu/ShowCache", RequestNamespace="http://Naveo.mu/", ResponseNamespace="http://Naveo.mu/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string ShowCache() {
            object[] results = this.Invoke("ShowCache", new object[0]);
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void ShowCacheAsync() {
            this.ShowCacheAsync(null);
        }
        
        /// <remarks/>
        public void ShowCacheAsync(object userState) {
            if ((this.ShowCacheOperationCompleted == null)) {
                this.ShowCacheOperationCompleted = new System.Threading.SendOrPostCallback(this.OnShowCacheOperationCompleted);
            }
            this.InvokeAsync("ShowCache", new object[0], this.ShowCacheOperationCompleted, userState);
        }
        
        private void OnShowCacheOperationCompleted(object arg) {
            if ((this.ShowCacheCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ShowCacheCompleted(this, new ShowCacheCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void HelloWorldCompletedEventHandler(object sender, HelloWorldCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class HelloWorldCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal HelloWorldCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CreateBeginConnectionCompletedEventHandler(object sender, CreateBeginConnectionCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CreateBeginConnectionCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CreateBeginConnectionCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public System.Guid Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((System.Guid)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void CloseCachedConnectionCompletedEventHandler(object sender, CloseCachedConnectionCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class CloseCachedConnectionCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal CloseCachedConnectionCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void GetDataSetCompletedEventHandler(object sender, GetDataSetCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetDataSetCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetDataSetCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public byte[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((byte[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void ExecNoQueryCompletedEventHandler(object sender, ExecNoQueryCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ExecNoQueryCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ExecNoQueryCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void PollUpdatesCompletedEventHandler(object sender, PollUpdatesCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class PollUpdatesCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal PollUpdatesCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public byte[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((byte[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void ConfirmUpdatesCompletedEventHandler(object sender, ConfirmUpdatesCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ConfirmUpdatesCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ConfirmUpdatesCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void PollNewUpdatesCompletedEventHandler(object sender, PollNewUpdatesCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class PollNewUpdatesCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal PollNewUpdatesCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public byte[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((byte[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void PollSecuMonitorNewUpdatesCompletedEventHandler(object sender, PollSecuMonitorNewUpdatesCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class PollSecuMonitorNewUpdatesCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal PollSecuMonitorNewUpdatesCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public byte[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((byte[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void ConfirmTheSecuMonitorNewUpdatesCompletedEventHandler(object sender, ConfirmTheSecuMonitorNewUpdatesCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ConfirmTheSecuMonitorNewUpdatesCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ConfirmTheSecuMonitorNewUpdatesCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void ConfirmTheNewUpdatesCompletedEventHandler(object sender, ConfirmTheNewUpdatesCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ConfirmTheNewUpdatesCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ConfirmTheNewUpdatesCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void RegisterDeviceCompletedEventHandler(object sender, RegisterDeviceCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class RegisterDeviceCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal RegisterDeviceCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public int Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((int)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void DeRegisterDeviceCompletedEventHandler(object sender, DeRegisterDeviceCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class DeRegisterDeviceCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal DeRegisterDeviceCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public int Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((int)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void SendMessageToSendCompletedEventHandler(object sender, SendMessageToSendCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class SendMessageToSendCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal SendMessageToSendCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void RawBatchCompletedEventHandler(object sender, RawBatchCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class RawBatchCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal RawBatchCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void PollFuelUpdatesCompletedEventHandler(object sender, PollFuelUpdatesCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class PollFuelUpdatesCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal PollFuelUpdatesCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public byte[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((byte[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void ConfirmTheFuelUpdatesCompletedEventHandler(object sender, ConfirmTheFuelUpdatesCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ConfirmTheFuelUpdatesCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ConfirmTheFuelUpdatesCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    public delegate void ShowCacheCompletedEventHandler(object sender, ShowCacheCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3752.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ShowCacheCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ShowCacheCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
}

#pragma warning restore 1591